CREATE TABLE MMTA_GREYLIST (
	ID int GENERATED BY DEFAULT AS IDENTITY (START WITH 1), -- NB: have verified this does not work for MS-SQL
	CREATED bigint NOT NULL,
	IP_FROM int NOT NULL,
	MAILADDR_FROM varbinary(255),
	MAILADDR_TO varbinary(255) NOT NULL,
	QTINE_TILL bigint,  -- JVM system time in milliseconds, null means not quarantined
	LAST_RECV bigint  -- JVM system time in milliseconds, null means no approved messages yet
)
_END_

-- this fails for H2 because IDENTITY implies PK, but the error can be harmlessly swallowed
ALTER TABLE MMTA_GREYLIST ADD CONSTRAINT
	PK_MMTA_GREYLIST PRIMARY KEY (ID)
_END_

CREATE UNIQUE INDEX IX_MMTA_GREYLIST_FROMTO  -- this is a unique index
	ON MMTA_GREYLIST (IP_FROM, MAILADDR_FROM, MAILADDR_TO)
_END_
